---
layout: default
parent: Network Solutions
nav_order: 1
title: Firewalls
---

# Firewalls, Bandwidth Management and Link Aggregation and Failover

<div style="text-align: center; width: 100%;">
  <img src="/assets/firewalls.png">
</div>

## Overview

A firewall is a hardware + software solution that connects and shares
Internet bandwidth with your local network. It isolates and protects
the local network from the Internet and also allows you to securely
expose specific applications, services and servers on the local
network.

A bandwidth management solution helps you monitor your bandwidth usage
and then allows you to define bandwidth and Internet usage priorities
and policies.

A link aggregation and failover solution lets you connect multiple
Internet links to your firewall so that you can have more bandwidth
available to users on the local network. This also means that you
don’t rely on a single Internet link or ISP for your Internet
connectivity needs.

## Common Problems

* You have a firewall but you need to repeatedly call a service provider or
  vendor to manage the rules for you.

* You have a lot of Internet bandwidth but your Internet usage and experience
  is slow.

* When large or bulk files are repeatedly downloaded, it causes a slowdown for
  other users.

* It is impossible to account for your bandwidth utilisation.

* When your main Internet link goes down, or is slow, it cuts off the entire
  network from the Internet

* You are having to depend on third-party ISPs to provide high- speed and
  unrestricted access to the Internet

* Even when you have multiple links to the Internet, you might not be able to
  use them all at the same time. Or specify policies on who can use which one
  at what time.

## Benefits

* No dependency on 3rd party for firewall management.

* No risk of usage data being sent to a firewall vendor's cloud setup for
  analysis – thereby, ensuring better privacy for users

* Optimal utilisation of all the available Internet links simultaneously and
  automatic failover

* Fair sharing of bandwidth amongst users so that prioritised traffic and users
  always get the required bandwidth

* Actionable Internet utilisation reports

* Caching of frequently accessed content from the Internet saves bandwidth and
  improves user experience

* Extended caching of bulk content like OS updates, Anti-Virus updates etc

* Granular Web Access controls depending on user, time of day, day of week,
  content-type, request-type etc

* Logs can be retained for as long as required for data and trend analysis

* User identity and authentication is mapped from a singular, campus-wide
  service that is used for all other applications as well

